Bug 12136 - WindowsPE 10 doesn't connect to Samba.
WindowsPE 10 doesn't connect to Samba.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-10 00:09 UTC by Jeremy Allison
Modified: 2018-05-14 05:33 UTC (History)
6 users (show)

See Also:


Attachments
pcap file. (7.62 KB, application/vnd.tcpdump.pcap)
2016-08-10 00:09 UTC, Jeremy Allison
no flags Details
log.smbd (633.33 KB, text/plain)
2016-08-10 00:09 UTC, Jeremy Allison
no flags Details
smb.conf (200 bytes, text/plain)
2016-08-10 00:11 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-08-10 00:09:21 UTC
Created attachment 12349 [details]
pcap file.

Reproduced by Rowland Penny <rpenny@samba.org>.
Comment 1 Jeremy Allison 2016-08-10 00:09:59 UTC
Created attachment 12350 [details]
log.smbd
Comment 2 Jeremy Allison 2016-08-10 00:11:01 UTC
Created attachment 12351 [details]
smb.conf
Comment 3 shawn.starr@rogers.com 2018-01-09 00:05:30 UTC
This is broken again in new Windows 10 PE, since SMB1 is now marked insecure, using SMB2 it fails with system error 58.
Comment 4 shawn.starr@rogers.com 2018-01-09 00:20:50 UTC
I have enable SMB1 protocol as per here:

https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/enable-or-disable-windows-features-using-dism

Using the winePE mounted image


E:\>dism /Image:e:\mount /Enable-Feature /FeatureName:SMB1Protocol

Deployment Image Servicing and Management tool
Version: 10.0.16299.15

Image Version: 10.0.16299.15

Enabling feature(s)
[==========================100.0%==========================]
The operation completed successfully.

E:\>dism /Image:e:\mount /Enable-Feature /FeatureName:SMB1Protocol-Client

Deployment Image Servicing and Management tool
Version: 10.0.16299.15

Image Version: 10.0.16299.15

Enabling feature(s)
[==========================100.0%==========================]
The operation completed successfully.
Comment 5 Björn Jacke 2018-03-27 13:55:14 UTC
I assume this is fixed with metze's authentication fixes that just went into master, see  bug 13328. It migh even be that It will be in the next round of 4.7 and 4.8 versions. If that does not fix the issue for you please reopen this bug but make sure that you also add a complete description how to reproduce the issue.
Comment 6 SATOH Fumiyasu 2018-03-28 02:26:07 UTC
I've confirmed that Samba 4.8.0 + the patch for bug 13328 fixes this bug.
Thanks!
Comment 7 Peter 2018-05-14 02:24:47 UTC
For those like me who are trying to work out what this bug is about, without downloading the attachments - this bug was raised in response to a google groups question - https://groups.google.com/forum/#!topic/linux.samba/Zft3Hlnbmqs (quoted here):

we use WindowsPE and a Samba-Share to install Windows. First WindowsPE is booted
and then a network drive with Windows-install-files is mapped.

This worked fine with WindowsPE 5.0. But with WindowsPE 10.0 it fails.

The error is:

net use \\PC\test

System error 58 has occurred.
The specified server cannot perform the requested operation.

I used a simple Samba-Config for testing and get the following:

Samba                WindowsPE 5.0                WindowsPE 10.0
------------------------------------------------------
3.6.25                OK                        OK
4.4.5                OK                        Failed

The smb.conf file of all tests:

[global]
   workgroup = VMTST
   security = user
   encrypt passwords = yes
   passdb backend = smbpasswd
   unix charset = UTF-8

[test]
   comment = Test
   guest ok = yes
   path = /data/test
Comment 8 Peter 2018-05-14 02:32:07 UTC
(In reply to Björn Jacke from comment #5)
The original problem, as described in the google group was for mounting a Samba share. It isn't clear whether Samba is also being used as a DC, but probably not.

So, how is that original problem resolved? Bug 13328 only discusses the DC use case.
Comment 9 SATOH Fumiyasu 2018-05-14 05:33:43 UTC
My Samba was a stand-alone server. Not a DC.